Bug 11439 - UT: XISBN.t returns failure
Summary: UT: XISBN.t returns failure
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-24 09:07 UTC by Jonathan Druart
Modified: 2015-06-04 23:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11439: UT: XISBN.t returns failure (988 bytes, patch)
2013-12-24 09:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11439: UT: Improve XISBN.t (1.62 KB, patch)
2013-12-24 09:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11439: UT: XISBN.t returns failure (1.02 KB, patch)
2013-12-26 23:44 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11439: UT: Improve XISBN.t (1.67 KB, patch)
2013-12-26 23:44 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11439: (follow up) add missing rollback call (878 bytes, patch)
2014-01-09 18:54 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 11439: (follow up) add missing rollback call (944 bytes, patch)
2014-01-10 10:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11439: (follow up) add missing rollback call (1015 bytes, patch)
2014-01-10 14:06 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-12-24 09:07:31 UTC

    
Comment 1 Jonathan Druart 2013-12-24 09:13:26 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2013-12-24 09:14:15 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-12-26 23:44:28 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2013-12-26 23:44:43 UTC Comment hidden (obsolete)
Comment 5 Galen Charlton 2013-12-27 00:17:27 UTC
I'm making an exception from normal QA policy and pushing this directly to master.  Thanks, Jonathan!
Comment 6 Tomás Cohen Arazi 2014-01-09 18:54:16 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2014-01-10 10:40:54 UTC
Hi Tomás,
The rollback is not necessary when put at the end. Some others UT files don't execute the rollback (explicitly).
I will sign off your patch but I am not sure it is essential.
Comment 8 Jonathan Druart 2014-01-10 10:41:14 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2014-01-10 14:06:49 UTC
Created attachment 24129 [details] [review]
Bug 11439: (follow up) add missing rollback call

This UT got wrapped inside a transaction with autocommit=0 but
the rollback call was inadvertedly ommited. Adding it.

Regards
To+

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Galen Charlton 2014-01-10 16:14:32 UTC
Pushed the follow-up to master.  Thanks, Tomás!
Comment 11 Fridolin SOMERS 2014-01-16 16:47:13 UTC
Patches pushed to 3.14.x, will be in 3.14.2.
Comment 12 Galen Charlton 2014-01-30 15:53:13 UTC
I have taken the liberty of pushing another follow-up to account for a change in the list of ISBNs returned by OCLC's XISBN service.  Setting status back to pushed to master; I recommend that RMaints pick up this follow-up ASAP.
Comment 13 Fridolin SOMERS 2014-02-08 08:39:36 UTC
4th patch pushed to 3.14.x, will be in 3.14.4.